Graylog repository with apt-cacher-ng gets a 406 Not Acceptable response

#1

Hi!

I try to safe some bandwidth and use apt-cacher-ng to cache all apt packages for the local network. But with the graylog repository I have some trouble. I post this here, since other repositorys are working and this is maybe a specific issue related to the graylog repository.

Using Debian 9 (stretch) on both machines.

The source-list on the client looks like this:

deb http://HTTPS///artifacts.elastic.co/packages/5.x/apt stable main
deb http://repo.mongodb.org/apt/debian stretch/mongodb-org/4.0 main
deb http://HTTPS///packages.graylog2.org/repo/debian/ stable 2.5

This is the recommended configuration from the manual [1]. Also tried it with the Remap method, the same result.

Output apt-get update:

user@debian:~$ sudo apt-get update -q
Ign:1 http://repo.mongodb.org/apt/debian stretch/mongodb-org/4.0 InRelease
Hit:2 http://repo.mongodb.org/apt/debian stretch/mongodb-org/4.0 Release
Ign:3 http://deb.debian.org/debian stretch InRelease
Hit:4 http://security.debian.org/debian-security stretch/updates InRelease
Ign:5 http://HTTPS///artifacts.elastic.co/packages/5.x/apt stable InRelease
Hit:7 http://deb.debian.org/debian stretch Release
Ign:9 http://HTTPS///packages.graylog2.org/repo/debian stable InRelease
Hit:10 http://HTTPS///artifacts.elastic.co/packages/5.x/apt stable Release
Ign:12 http://HTTPS///packages.graylog2.org/repo/debian stable Release
Ign:13 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 amd64 Packages
Ign:14 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 all Packages
Ign:13 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 amd64 Packages
Ign:14 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 all Packages
Ign:13 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 amd64 Packages
Ign:14 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 all Packages
Ign:13 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 amd64 Packages
Ign:14 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 all Packages
Ign:13 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 amd64 Packages
Ign:14 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 all Packages
Err:13 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 amd64 Packages
406 Not Acceptable
Ign:14 http://HTTPS///packages.graylog2.org/repo/debian stable/2.5 all Packages
Reading package lists...
W: The repository 'http://HTTPS///packages.graylog2.org/repo/debian stable Release' does not have a Release file.
E: Failed to fetch http://HTTPS///packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages 406 Not Acceptable
E: Some index files failed to download. They have been ignored, or old ones used instead.

The Log on the apt-cacher during the apt-get update is:

1548752471|I|735|10.10.10.10|repo.mongodb.org/apt/debian/dists/stretch/mongodb-org/4.0/InRelease [HTTP error, code: 404]
1548752471|E|228|10.10.10.10|repo.mongodb.org/apt/debian/dists/stretch/mongodb-org/4.0/InRelease [HTTP error, code: 404]
1548752471|I|769|10.10.10.10|deb.debian.org/debian/dists/stretch/InRelease [HTTP error, code: 404]
1548752471|E|217|10.10.10.10|deb.debian.org/debian/dists/stretch/InRelease [HTTP error, code: 404]
1548752472|I|342|10.10.10.10|artifacts.elastic.co/packages/5.x/apt/dists/stable/InRelease [HTTP error, code: 404]
1548752472|E|222|10.10.10.10|artifacts.elastic.co/packages/5.x/apt/dists/stable/InRelease [HTTP error, code: 404]
1548752472|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/InRelease [HTTP error, code: 406]
1548752472|E|223|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/InRelease [HTTP error, code: 406]
1548752472|O|223|10.10.10.10|artifacts.elastic.co/packages/5.x/apt/dists/stable/Release
1548752472|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/Release [HTTP error, code: 406]
1548752472|E|221|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/Release [HTTP error, code: 406]
1548752473|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.xz [HTTP error, code: 406]
1548752473|E|242|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.xz [HTTP error, code: 406]
1548752473|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.xz [HTTP error, code: 406]
1548752473|E|240|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.xz [HTTP error, code: 406]
1548752473|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.bz2 [HTTP error, code: 406]
1548752473|E|243|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.bz2 [HTTP error, code: 406]
1548752474|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.bz2 [HTTP error, code: 406]
1548752474|E|241|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.bz2 [HTTP error, code: 406]
1548752474|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.lzma [HTTP error, code: 406]
1548752474|E|244|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.lzma [HTTP error, code: 406]
1548752474|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.lzma [HTTP error, code: 406]
1548752474|E|242|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.lzma [HTTP error, code: 406]
1548752475|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.gz [HTTP error, code: 406]
1548752475|E|242|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages.gz [HTTP error, code: 406]
1548752475|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.gz [HTTP error, code: 406]
1548752475|E|240|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages.gz [HTTP error, code: 406]
1548752475|E|686|10.10.10.10| [HTTP error, code: 403]
1548752475|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages [HTTP error, code: 406]
1548752475|E|239|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-amd64/Packages [HTTP error, code: 406]
1548752476|O|229|10.10.10.10|repo.mongodb.org/apt/debian/dists/stretch/mongodb-org/4.0/Release
1548752476|I|224|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages [HTTP error, code: 406]
1548752476|E|237|10.10.10.10|packages.graylog2.org/repo/debian/dists/stable/2.5/binary-all/Packages [HTTP error, code: 406]
1548752476|O|235|10.10.10.10|security.debian.org/debian-security/dists/stretch/updates/InRelease
1548752476|O|218|10.10.10.10|deb.debian.org/debian/dists/stretch/Release

When I enable tunneling with PassThroughPattern in the acng.conf, the traffic is not cached but updates will work. Which isn’t the goal here, but shows that the network traffic should be woring on my site.

I hope this information is enough, to help me. Otherweise ask what I am missing. Any help is highly appreciated.

[1]https://www.unix-ag.uni-kl.de/~bloch/acng/html/howtos.html#ssluse

0 Likes

#2

Small addition: Software versions are apt 1.4.9 and apt-cacher-ng 2-2

0 Likes

#3

Just to help others, add “PassThroughPattern: (packages.graylog2.org|graylog2-package-repository.s3.amazonaws.com):443$” to /etc/apt-cacher-ng/acng.conf, to use the apt-caher-ng as a proxy for this repo, other repositorys will be cached only graylog not.

1 Like

(system) closed #4

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.

0 Likes